DECLARE @Connections TABLE(Id int);

;WITH Dupes (Id, NodeId, Title, RowNumber)
AS
(
	SELECT
			Id
		,	NodeId
		,	Title
		,	ROW_NUMBER() OVER (PARTITION BY NodeId, Title ORDER BY Id ASC)
		FROM
			PollConnection
		INNER JOIN
			NodePollConnection ON Id = PollConnectionId
)
	INSERT INTO
			@Connections
		SELECT
				Id
			FROM
				Dupes
			WHERE
				RowNumber > 1;

--    
DELETE
		PollTask
	FROM
		@Connections C
	INNER JOIN
		PollTask ON PollTask.ID = C.Id;

--   
DELETE
		EquipmentPollConnection
	FROM
		@Connections C
	INNER JOIN
		EquipmentPollConnection ON EquipmentPollConnection.PollConnectionId = C.Id;

--  
DELETE
		NodePollConnection
	FROM
		@Connections C
	INNER JOIN
		NodePollConnection ON NodePollConnection.PollConnectionId = C.Id;

DELETE
		PollConnection
	FROM
		@Connections C
	INNER JOIN
		PollConnection ON PollConnection.Id = C.Id;
GO